.TH "orte_sys_info_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_sys_info_t \- System information structure.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <sys_info.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "bool \fBinit\fP"
.br
.RI "\fICertifies that values have been filled. \fP"
.ti -1c
.RI "char * \fBsysname\fP"
.br
.RI "\fIName of OS in use on this node. \fP"
.ti -1c
.RI "char * \fBnodename\fP"
.br
.RI "\fIFully qualified host name on the network. \fP"
.ti -1c
.RI "char * \fBrelease\fP"
.br
.RI "\fIRelease level of the operating system. \fP"
.ti -1c
.RI "char * \fBversion\fP"
.br
.RI "\fIVersion of the operating system release. \fP"
.ti -1c
.RI "char * \fBmachine\fP"
.br
.RI "\fIType of hardware composing this node. \fP"
.ti -1c
.RI "char * \fBpath_sep\fP"
.br
.RI "\fIPath separation char, saved as string. \fP"
.ti -1c
.RI "char * \fBuser\fP"
.br
.RI "\fIUser id on this system. \fP"
.ti -1c
.RI "char * \fBsuffix\fP"
.br
.RI "\fIAutomatic suffix added to file names. \fP"
.in -1c
.SH "Detailed Description"
.PP 
System information structure. 

The orte_sys_info() function fills the sysname, nodename, release, version, machine, path_sep, and user fields 
.PP
.SH "Field Documentation"
.PP 
.SS "bool \fBorte_sys_info_t::init\fP"
.PP
Certifies that values have been filled. 
.PP
Certifies that the orte_sys_info() function has been called at least once so fields have valid values
.SS "char* \fBorte_sys_info_t::path_sep\fP"
.PP
Path separation char, saved as string. 
.PP
The character used to separate directories in the path - a value that is usually either a '\\' or '/', depending upon the operating system
.SS "char* \fBorte_sys_info_t::suffix\fP"
.PP
Automatic suffix added to file names. 
.PP
Some computing environments automatically 'tag' files created by applications with a computer-generated suffix to ensure uniqueness of the file name. This field records that value for future use.

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
